javax.el

## Class MethodInfo

- java.lang.Object
- - javax.el.MethodInfo

-     public class MethodInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodInfo(java.lang.String name, java.lang.Class<?> returnType, java.lang.Class<?>[] paramTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.Class<?>[]` | `getParamTypes()`
    `java.lang.Class<?>` | `getReturnType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodInfo

          public MethodInfo(java.lang.String name,
                            java.lang.Class<?> returnType,
                            java.lang.Class<?>[] paramTypes)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getReturnType

          public java.lang.Class<?> getReturnType()

    - #### getParamTypes

          public java.lang.Class<?>[] getParamTypes()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.